Loading...
Searching...
No Matches
ConjugateGradientSolver.h File Reference

Implementation of Conjugate Gradient solver for a linear system. More...

Go to the source code of this file.

## Classes

class | gtsam::ConjugateGradientParameters
| parameters for the conjugate gradient method More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

template<class S, class V>
V | gtsam::preconditionedConjugateGradient (const S &system, const V &initial, const ConjugateGradientParameters &parameters)

## Detailed Description

Implementation of Conjugate Gradient solver for a linear system.

Author
  Yong-Dian Jian
  Sungtae An

Date
  Nov 6, 2014